## pixelmed 20220618+dfsg

=== Makefile ===
all:	pixelmed.jar

PIXELMEDCODESIGNERKEYSTORE = "/Volumes/Access/Access/pixelmed_comodo_objectsigner.p12"
PIXELMEDCODESIGNERALIAS = "PixelMed Publishing's Sectigo Limited ID"
PIXELMEDCODESIGNEROPTIONS = -storetype pkcs12 -tsa http://timestamp.comodoca.com/rfc3161 -digestalg SHA-256

# use hard-dereference with gnutar in case we store the same file twice (though shouldn't do that), since hardlinks for duplicates causes bsdtar (e.g., on Mac) to freak out (000918)
TAR = gnutar --hard-dereference
#TAR = tar
COMPRESS = bzip2
COMPRESSEXT = bz2

SUBDIRS = \
	com/pixelmed/utils \
	com/pixelmed/dicom \
	com/pixelmed/geometry \
	com/pixelmed/validate \
	com/pixelmed/display \
	com/pixelmed/event \
	com/pixelmed/network \
	com/pixelmed/database \
	com/pixelmed/query \
	com/pixelmed/scpecg \
	com/pixelmed/displaywave \
	com/pixelmed/web \
	com/pixelmed/server \
	com/pixelmed/transfermonitor \
	com/pixelmed/convert \
	com/pixelmed/apps \
	com/pixelmed/anatproc \
	com/pixelmed/dose \
	com/pixelmed/doseocr \
	com/pixelmed/test \
	com/pixelmed/ftp \
	com/pixelmed/slf4j \
	apple/dts/samplecode/osxadapter
	

SUBPACKAGES = \
	com.pixelmed.dicom \
	com.pixelmed.geometry \
	com.pixelmed.validate \
	com.pixelmed.display \
	com.pixelmed.display.event \
	com.pixelmed.event \
	com.pixelmed.network \
	com.pixelmed.utils \
	com.pixelmed.database \
	com.pixelmed.query \
	com.pixelmed.scpecg \
	com.pixelmed.displaywave \
	com.pixelmed.web \
	com.pixelmed.server \
	com.pixelmed.transfermonitor \
	com.pixelmed.convert \
	com.pixelmed.apps \
	com.pixelmed.anatproc \
	com.pixelmed.dose \
	com.pixelmed.doseocr \
	com.pixelmed.test \
	com.pixelmed.ftp \
	com.pixelmed.slf4j \
	apple.dts.samplecode.osxadapter

ADDITIONALFILES = \
	COPYRIGHT \
	DeidentifyAndRedact.bat \
	DeidentifyAndRedact.sh \
	DeidentifyAndRedactWithOriginalFileName.bat \
	DicomAttributeBrowser.sh \
	DicomBrowser.sh \
	DicomCleanerAssumingJREInstalled.bat \
	DicomCleanerWithOwnJRE.bat \
	DicomImageViewer.bat \
	DicomImageViewer.sh \
	DicomImageViewerWithCDJRE.bat \
	DicomImageViewerWithOwnJRE.bat \
	DicomInstanceValidator.sh \
	DicomSRValidator.sh \
	DoseUtilityAssumingJREInstalled.bat \
	DoseUtilityWithOwnJRE.bat \
	ECGViewer.bat \
	ECGViewer.sh \
	MoveDicomFilesIntoHierarchy.sh \
	NetworkMediaImporter.bat \
	NetworkMediaImporter.sh \
	StructuredReportBrowser.sh \
	StudyReceiver.bat \
	studyreceiver.properties \
	Makefile \
	Makefile.common.mk \
	README \
	sample.com.pixelmed.display.DicomImageViewer.properties

LOCALIZATIONFILES = \
	com/pixelmed/display/*.properties \
	com/pixelmed/display/*.utf-8_properties \
	com/pixelmed/network/*.properties \
	com/pixelmed/network/*.utf-8_properties

WEBSTARTIMAGEFILES = \
	webstart/images/DicomCleanerControlPanel.png \
	webstart/images/DicomCleanerCopyShortcut.png \
	webstart/images/DicomCleanerLocalConfiguration.png \
	webstart/images/DicomCleanerMainPanelAfterClean.png \
	webstart/images/DicomCleanerPasteShortcut.png \
	webstart/images/DicomCleanerRemoteConfiguration.png \
	webstart/images/DicomCleanerShowVersion.png \
	webstart/images/DicomImageBlackoutColorUltrasound.png \
	webstart/images/DicomImageBlackoutOverlayDose.png \
	webstart/images/DoseUtilityCopyShortcut.png \
	webstart/images/DoseUtilityDoseScreenImage.png \
	webstart/images/DoseUtilityDoseSRTree.png \
	webstart/images/DoseUtilityDoseSRValidation.png \
	webstart/images/DoseUtilityLocalConfiguration.png \
	webstart/images/DoseUtilityLocalFTPConfiguration.png \
	webstart/images/DoseUtilityLogOfReport.png \
	webstart/images/DoseUtilityMainPanel.png \
	webstart/images/DoseUtilityPasteShortcut.png \
	webstart/images/DoseUtilityRemoteConfiguration.png \
	webstart/images/DoseUtilityRemoteFTPConfiguration.png \
	webstart/images/PixelMedLogoAndTitle.gif \
	webstart/images/osi_standard_logo.png

WEBSTARTHTMLFILES = \
	webstart/ConvertAmicasJPEG2000FilesetToDicom.html \
	webstart/DicomImageViewer.html \
	webstart/DicomImageViewerUsage.html \
	webstart/DicomImageBlackout.html \
	webstart/DicomCleaner.html \
	webstart/DicomCleanerUsage.html \
	webstart/DoseUtility.html \
	webstart/DoseUtilityUsage.html \
	webstart/MediaImporter.html \
	webstart/WatchFolderAndSend.html

WEBSTARTJNLPFILES = \
	webstart/ConvertAmicasJPEG2000FilesetToDicom.jnlp \
	webstart/DicomCleaner.jnlp \
	webstart/DicomImageBlackout.jnlp \
	webstart/DicomImageViewer.jnlp \
	webstart/DoseUtility.jnlp \
	webstart/MediaImporter.jnlp \
	webstart/WatchFolderAndSend.jnlp

ADDITIONALSOURCEFILES = \
	Doxyfile \
	icons/logo_1024.png \
	icons/ConvertAmicasJPEG2000FilesetToDicom.icns \
	icons/ConvertAmicasJPEG2000FilesetToDicom.png \
	icons/ConvertAmicasJPEG2000FilesetToDicom.ico \
	icons/DicomCleaner.icns \
	icons/DicomCleaner_1024.png \
	icons/DicomCleaner.png \
	icons/DicomCleaner.ico \
	icons/DicomImageBlackout.icns \
	icons/DicomImageBlackout.png \
	icons/DicomImageBlackout.ico \
	icons/DicomImageViewer.icns \
	icons/DicomImageViewer.png \
	icons/DicomImageViewer.ico \
	icons/DoseUtility.icns \
	icons/DoseUtility_1024.png \
	icons/DoseUtility.png \
	icons/DoseUtility.ico \
	icons/DownloadOrTransmit.icns \
	icons/DownloadOrTransmit.png \
	icons/DownloadOrTransmit.ico \
	icons/Makefile \
	icons/makeiconsetfrompng.sh \
	icons/MediaImporter.icns \
	icons/MediaImporter.png \
	icons/MediaImporter.ico \
	icons/WatchFolderAndSend.icns \
	icons/WatchFolderAndSend.png \
	icons/WatchFolderAndSend.ico \
	${WEBSTARTHTMLFILES} \
	${WEBSTARTJNLPFILES} \
	${WEBSTARTIMAGEFILES} \
	webstart/Manifest.txt

WEBSTARTJAIFILES = \
	webstart/jai-imageio/early-access/1.1/linux-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/linux-i586/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/linux-i586/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio_vis.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio_vis2.so.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio_sse2.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio_util.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/jai_imageio.jar \

WEBSTARTFILES = \
	webstart/pixelmed.jar \
	webstart/pixelmed_imageio.jar \
	webstart/${COMMONSCODECJARFILENAME} \
	webstart/commons-net-ftp-2.0.jar \
	webstart/hsqldb.jar \
	webstart/jmdns.jar \
	webstart/${COMMONSCOMPRESSJARFILENAME} \
	webstart/vecmath1.2-1.14.jar \
	webstart/icons/ConvertAmicasJPEG2000FilesetToDicom.png \
	webstart/icons/DicomCleaner.png \
	webstart/icons/DicomImageBlackout.png \
	webstart/icons/DicomImageViewer.png \
	webstart/icons/DoseUtility.png \
	webstart/icons/DownloadOrTransmit.png \
	webstart/icons/MediaImporter.png \
	webstart/icons/WatchFolderAndSend.png \
	webstart/icons/ConvertAmicasJPEG2000FilesetToDicom.ico \
	webstart/icons/DicomCleaner.ico \
	webstart/icons/DicomImageBlackout.ico \
	webstart/icons/DicomImageViewer.ico \
	webstart/icons/DoseUtility.ico \
	webstart/icons/DownloadOrTransmit.ico \
	webstart/icons/MediaImporter.ico \
	webstart/icons/WatchFolderAndSend.ico \
	webstart/sample.com.pixelmed.display.DicomImageViewer.properties \
	webstart/sample.com.pixelmed.display.DicomCleaner.properties \
	${WEBSTARTHTMLFILES} \
	${WEBSTARTJNLPFILES} \
	${WEBSTARTIMAGEFILES} \
	${WEBSTARTJAIFILES}

BINARYRELEASEFILES = \
	pixelmed.jar \
	BUILDDATE \
	${ADDITIONALFILES}

SOURCERELEASEFILES = \
	${ADDITIONALFILES} \
	${ADDITIONALSOURCEFILES} \
	${SUBDIRS}

DEPENDENCYRELEASEFILESWITHOUTREADME = \
	lib/additional/pixelmed_codec.jar \
	lib/additional/pixelmed_imageio.jar \
	${COMMONSCODECADDITIONALJAR} \
	lib/additional/commons-net-ftp-2.0.jar \
	${COMMONSCOMPRESSADDITIONALJAR} \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	lib/additional/aiviewer.jar \
	lib/additional/javax.json-1.0.4.jar \
	lib/additional/javax.json-api-1.0.jar \
	lib/additional/slf4j-api-1.7.13.jar \
	lib/additional/slf4j-simple-1.7.13.jar \
	lib/additional/opencsv-2.4.jar \
	lib/junit/junit-4.8.1.jar \
	LICENSES

DEPENDENCYRELEASEFILES = \
	${DEPENDENCYRELEASEFILESWITHOUTREADME} \
	README

DICOMCLEANERDEPENDENCYRELEASEFILES = \
	lib/additional/pixelmed_imageio.jar \
	${COMMONSCODECADDITIONALJAR} \
	${COMMONSCOMPRESSADDITIONALJAR} \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	LICENSES/hsqldb_lic.txt

DOSEUTILITYDEPENDENCYRELEASEFILES = \
	${COMMONSCODECADDITIONALJAR} \
	lib/additional/commons-net-ftp-2.0.jar \
	${COMMONSCOMPRESSADDITIONALJAR} \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	LICENSES/hsqldb_lic.txt

WINDOWSJIIORELEASEFILES = \
	windows/lib/clib_jiio.dll \
	windows/lib/clib_jiio_sse2.dll \
	windows/lib/clib_jiio_util.dll \
	windows/lib/clibwrapper_jiio.jar \
	windows/lib/jai_imageio.jar \
	LICENSES/LICENSE-jai_imageio.txt \
	LICENSES/THIRD-PARTY-LICENSE-README-jai_imageio.txt

JAVADOCRELEASEFILES = \
	${JAVADOCFILES}


DOXYGENRELEASEFILES = \
	${DOXYGENFILES}

JAVADOCFILES = \
	docs/javadoc

DOXYGENFILES = \
        docs/doxygen

OTHERDOCRELEASEFILES = \
	docs/DicomImageViewer/Conformance.pdf \
	docs/DicomImageViewer/ReleaseNotes.pdf \
	docs/DicomImageViewer/UserManual.pdf \
	docs/ECGViewer/ReleaseNotes.pdf

MACAPPS = \
	DicomImageViewer_app \
	DicomCleaner_app \
	DoseUtility_app \
	ECGViewer_app

MACAPPRELEASEFILES = \
	DicomImageViewer.app/Contents/Info.plist \
	DicomImageViewer.app/Contents/MacOS/JavaAppLauncher \
	DicomImageViewer.app/Contents/PkgInfo \
	DicomImageViewer.app/Contents/Resources/DicomImageViewer.icns \
	DicomImageViewer.app/Contents/Java/pixelmed.jar \
	DicomImageViewer.app/Contents/Java/pixelmed_imageio.jar \
	DicomImageViewer.app/Contents/Java/hsqldb.jar \
	DicomImageViewer.app/Contents/Java/${COMMONSCOMPRESSJARFILENAME} \
	DicomImageViewer.app/Contents/Java/vecmath1.2-1.14.jar \
	DicomImageViewer.app/Contents/Java/${COMMONSCODECJARFILENAME} \
	DicomImageViewer.app/Contents/Java/jai_imageio.jar \
	DicomImageViewer.app/Contents/Java/jmdns.jar \
	DicomCleaner.app/Contents/Info.plist \
	DicomCleaner.app/Contents/MacOS/JavaAppLauncher \
	DicomCleaner.app/Contents/PkgInfo \
	DicomCleaner.app/Contents/Resources/DicomCleaner.icns \
	DicomCleaner.app/Contents/Java/${COMMONSCODECJARFILENAME} \
	DicomCleaner.app/Contents/Java/${COMMONSCOMPRESSJARFILENAME} \
	DicomCleaner.app/Contents/Java/hsqldb.jar \
	DicomCleaner.app/Contents/Java/jmdns.jar \
	DicomCleaner.app/Contents/Java/pixelmed.jar \
	DicomCleaner.app/Contents/Java/pixelmed_imageio.jar \
	DoseUtility.app/Contents/Info.plist \
	DoseUtility.app/Contents/MacOS/JavaAppLauncher \
	DoseUtility.app/Contents/PkgInfo \
	DoseUtility.app/Contents/Resources/DoseUtility.icns \
	DoseUtility.app/Contents/Java/pixelmed.jar \
	DoseUtility.app/Contents/Java/pixelmed_imageio.jar \
	DoseUtility.app/Contents/Java/hsqldb.jar \
	DoseUtility.app/Contents/Java/${COMMONSCOMPRESSJARFILENAME} \
	DoseUtility.app/Contents/Java/${COMMONSCODECJARFILENAME} \
	DoseUtility.app/Contents/Java/commons-net-ftp-2.0.jar \
	DoseUtility.app/Contents/Java/jmdns.jar \
	DoseUtility.app/Contents/Java/jai_imageio.jar

MACAPPECGRELEASEFILES = \
	ECGViewer.app/Contents/Info.plist \
	ECGViewer.app/Contents/MacOS/JavaAppLauncher \
	ECGViewer.app/Contents/PkgInfo \
	ECGViewer.app/Contents/Resources/GenericJavaApp.icns \
	ECGViewer.app/Contents/Java/pixelmed.jar \
	ECGViewer.app/Contents/Java/${COMMONSCODECJARFILENAME}

=== pixelmed/anatproc/Makefile ===
OBJS = \
	Concept.class \
	CodedConcept.class \
	CombinedAnatomicConcepts.class \
	CTAnatomy.class \
	DictionaryOfConcepts.class \
	DisplayableAnatomicConcept.class \
	DisplayableConcept.class \
	DisplayableLateralityConcept.class \
	DisplayableViewConcept.class \
	MammographyLaterality.class \
	ProjectionXRayAnatomy.class \
	SchemeAndValuePair.class

all:	${OBJS}

PATHTOROOT = ../../..

include ${PATHTOROOT}/Makefile.common.mk

clean:
	rm -f *~ *.class core *.bak

testanatregionseq:	ProjectionXRayAnatomy.class
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR} com.pixelmed.anatproc.ProjectionXRayAnatomy \
		"$${HOME}/Pictures/Medical/CRDXLUTs/anon/1.3.6.1.4.1.5962.1.1.0.0.0.1160129313.5958.0.15.dcm"

testbodypart:	ProjectionXRayAnatomy.class
	dcsmpte /tmp/crap -nodisclaimer -r BodyPartExamined "CHEST"
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR} com.pixelmed.anatproc.ProjectionXRayAnatomy /tmp/crap
	rm /tmp/crap

testseriesdesc:	ProjectionXRayAnatomy.class
	dcsmpte /tmp/crap -nodisclaimer -r SeriesDescription "CHEST XRAY 1 VIEW"
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR} com.pixelmed.anatproc.ProjectionXRayAnatomy /tmp/crap
	rm /tmp/crap

testseriesdesclongest:	ProjectionXRayAnatomy.class
	dcsmpte /tmp/crap -nodisclaimer -r SeriesDescription "Head, neck"
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR} com.pixelmed.anatproc.ProjectionXRayAnatomy /tmp/crap
	rm /tmp/crap

testview:	ProjectionXRayAnatomy.class
	dcsmpte /tmp/crap -nodisclaimer -r ViewPosition "PA"
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR} com.pixelmed.anatproc.ProjectionXRayAnatomy /tmp/crap
	rm /tmp/crap

testctstudydesccombined:	CTAnatomy.class
	dcsmpte /tmp/crap -nodisclaimer -r StudyDescription "Chest, abdomen and pelvis"
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR} com.pixelmed.anatproc.CTAnatomy /tmp/crap
	rm /tmp/crap

testctstudydescabbrev:	CTAnatomy.class
	dcsmpte /tmp/crap -nodisclaimer -r StudyDescription "CAP"
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR} com.pixelmed.anatproc.CTAnatomy /tmp/crap
	rm /tmp/crap

=== pixelmed/apps/Makefile ===
PATHTOROOT = ../../..

OBJS = \
SynchronizeFromRemoteSCP.class \
WatchFolderAndSend.class \
RotateFlipSetOfImages.class \
DoseUtility.class \
InsertCodeSequence.class \
MergeCompositeContext.class \
MergeCompositeContextForOneEntitySelectively.class \
DoseReporterWithLegacyOCRAndAutoSendToRegistry.class \
MultiModalitySimulator.class \
ConvertPaletteColorToGrayscale.class \
ConvertPlanarConfiguration.class \
ConvertNonRGBToRGB.class \
UIDMapByMatchingPixelData.class \
DownloadOrTransmit.class \
RemapUIDs.class \
CopyOnlyHeadOfMultipleStructuredReportsAndReferences.class \
CheckAllUIDReferencesResolve.class \
AddHierarchicalEvidenceSequencetoStructuredReports.class \
IntegerScalingOfFloatingPointPixelData.class \
RemapFrameOfReferenceUIDs.class \
TranslateImagePositionPatient.class \
KeepOnlyImagePixelModule.class \
CompressDicomFiles.class \
DecompressDicomFiles.class \
Convert8To16Bits.class \
InsertRealWorldValueMap.class \
DeidentifyAndRedact.class \
DeidentifyAndRedactWithOriginalFileName.class \
FindAndCopySelectedDicomFiles.class \
FindAndCopySelectedDicomFilesUsingDatabase.class \
StudyReceiver.class \
MergeFunctionalGroups.class \
SetCharacteristicsFromSummary.class \
InstanceReceiver.class \
TiledPyramid.class \
ProcessReceivedWholeSlideImagesMakeTiledPyramidAndSend.class \
TabulateSegmentSequence.class \
PseudonymizeAndSequester.class \
ConvertSRTCodesToSCT.class \
ShrinkSegmentationToBoundingBox.class \
CompareSetsOfDicomFiles.class \
PixelMessageDigest.class \
MergeConcatenationInstances.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

# override javac command in Makefile.common.mk to add codec to classpath, until folded into main trunk :(
.java.class:
	export JAVAVERSIONTARGETJARFILE=`/usr/libexec/java_home -v ${JAVAVERSIONTARGET} | tail -1`/jre/lib/rt.jar; javac ${JAVACOPTIONS} \
		-classpath ${PATHTOROOT}:${SLF4JCOMPILEADDITIONALJAR}:${DATABASEADDITIONALJARS}:${FTPADDITIONALJARS}:${JPEGBLOCKREDACTIONJAR}:${PATHTOADDITIONAL}/javax.json-api-1.0.jar:${JIIOADDITIONALJARS} \
		-sourcepath ${PATHTOROOT} $<

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/apps.`date '+%Y%m%d'`.tar.gz

testsync:	SynchronizeFromRemoteSCP.class
	rm -rf /tmp/testdatabase*
	rm -rf /tmp/testimages
	mkdir -p /tmp/testimages
	java -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} -Djava.awt.headless=true \
		com.pixelmed.apps.SynchronizeFromRemoteSCP \
			/tmp/testdatabase \
			/tmp/testimages \
			localhost 11112 GRAYTOO_11112 \
			11113 LOCAL_11113

testsyncget:	SynchronizeFromRemoteSCP.class
	rm -rf /tmp/testdatabase*
	rm -rf /tmp/testimages
	mkdir -p /tmp/testimages
	java -cp ${PATHTOROOT}:${DATABASEADDITIONALJARS}:${DICOMADDITIONALJARS} -Djava.awt.headless=true \
		-Dorg.slf4j.simpleLogger.defaultLogLevel=info \
		-Dorg.slf4j.simpleLogger.log.com.pixelmed.apps.SynchronizeFromRemoteSCP=trace \
		com.pixelmed.apps.SynchronizeFromRemoteSCP \
			/tmp/testdatabase \
			/tmp/testimages \
			localhost 11112 GRAYTOO_11112 \
			11113 LOCAL_11113 \
			GET

testrotateflip90H:	RotateFlipSetOfImages.class
	rm -rf /tmp/testrotateflip90H
	mkdir -p /tmp/testrotateflip90H
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.RotateFlipSetOfImages \
			270 Y Y \
			$${HOME}/work/dctool.support/images/dicom/forjpeg2000/discimg \
			/tmp/testrotateflip90H

testwatchandsend:	WatchFolderAndSend.class
	@rm -rf /tmp/watchthisfolder
	@mkdir -p /tmp/watchthisfolder
	../network/runprocessinbackground.sh \
		/tmp/watchandsend.pid /tmp/watchandsend.stdout /tmp/watchandsend.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.apps.WatchFolderAndSend \
			/tmp/watchthisfolder \
			localhost 11112 STORESCP US
	#tail -f /tmp/watchandsend.stderr &
	@rm -rf /tmp/tesstoragescp.receivedfiles
	@mkdir -p /tmp/tesstoragescp.receivedfiles
	../network/runprocessinbackground.sh \
		/tmp/tesstoragescp.pid /tmp/tesstoragescp.stdout /tmp/tesstoragescp.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 11112 STORESCP /tmp/tesstoragescp.receivedfiles INSECURE
	#tail -f /tmp/tesstoragescp.stderr &
	dcsmpte /tmp/testsmpte.dcm -r PatientName Test^Watch
	#java -cp ${PATHTOROOT} com.pixelmed.network.StorageSOPClassSCU localhost 11112 STORESCP US /tmp/testsmpte.dcm 0
	cp /tmp/testsmpte.dcm /tmp/watchthisfolder
	@echo "Sleeping for longer than two watch intervals in order to allow wait for being modified to expire"
	@sleep 25
	@echo "Back from sleep ... folder content should have been processed by now"
	@echo "Dumping logger messages"
	@cat /tmp/watchandsend.stderr
	@echo "List contents of watched directory ... expect it to be empty"
	@ls -lL /tmp/watchthisfolder
	@echo "List done"
	@echo "Comparing sent and received files - expect no difference except meta header"
	# the -a option to grep is necessary since sometimes it thinks the stderr file is binary and fails
	@receivedfilename=`grep -a 'sendReceivedObjectIndication() fileName' /tmp/tesstoragescp.stderr | tail -1 | sed -e 's/^.*fileName: //' -e 's/ from .*$$//'`; \
		andiff /tmp/testsmpte.dcm "$${receivedfilename}"; \
		dccmp /tmp/testsmpte.dcm "$${receivedfilename}"
	@echo "Comparison done"
	@kill -9 `cat /tmp/watchandsend.pid`
	@kill -9 `cat /tmp/tesstoragescp.pid`
	@rm -f /tmp/testsmpte.dcm
	@rm -rf /tmp/watchthisfolder
	@rm -f /tmp/watchandsend.pid /tmp/watchandsend.stdout /tmp/watchandsend.stderr
	@rm -rf /tmp/tesstoragescp.receivedfiles
	@rm -f /tmp/tesstoragescp.pid /tmp/tesstoragescp.stdout /tmp/tesstoragescp.stderr

testwatchandsenddialog:	WatchFolderAndSend.class
	java -cp ${PATHTOROOT} com.pixelmed.apps.WatchFolderAndSend

testdoseutility:	DoseUtility.class
	java -Xmx2g -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${FTPADDITIONALJARS} \
		com.pixelmed.apps.DoseUtility

testdoseutilitywithanatomydebugging:	DoseUtility.class
	java -Xmx2g -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${FTPADDITIONALJARS} \
		-Dorg.slf4j.simpleLogger.log.com.pixelmed.anatproc.CTAnatomy=debug \
		com.pixelmed.apps.DoseUtility

testinsertcode:	InsertCodeSequence.class
	rm -f /tmp/testinsertcodesrc.dcm
	dcsmpte /tmp/testinsertcodesrc.dcm
	rm -rf /tmp/testinsertcodedst
	mkdir -p /tmp/testinsertcodedst
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.InsertCodeSequence \
			AnatomicRegionSequence "T-A0100" "SRT" "" "Brain" \
			/tmp/testinsertcodesrc.dcm \
			/tmp/testinsertcodedst
	dcdiff /tmp/testinsertcodesrc.dcm /tmp/testinsertcodedst/*
	rm -f /tmp/testinsertcodesrc.dcm
	rm -rf /tmp/testinsertcodedst

testinsertrwvm:	InsertRealWorldValueMap.class
	rm -f /tmp/testinsertrwvmsrc.dcm
	dcsmpte /tmp/testinsertrwvmsrc.dcm
	rm -rf /tmp/testinsertrwvmdst
	mkdir -p /tmp/testinsertrwvmdst
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.InsertRealWorldValueMap \
			0 255 0 1 "SUVbw" "GML" \
			"g/l" "UCUM" "" "g/l" \
			/tmp/testinsertrwvmsrc.dcm \
			/tmp/testinsertrwvmdst
	dcdiff /tmp/testinsertrwvmsrc.dcm /tmp/testinsertrwvmdst/*
	dciodvfy /tmp/testinsertrwvmdst/*
	rm -f /tmp/testinsertrwvmsrc.dcm
	rm -rf /tmp/testinsertrwvmdst

testinsertrwvmwithquantity:	InsertRealWorldValueMap.class
	rm -f /tmp/testinsertrwvmsrc.dcm
	dcsmpte /tmp/testinsertrwvmsrc.dcm
	rm -rf /tmp/testinsertrwvmdst
	mkdir -p /tmp/testinsertrwvmdst
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.InsertRealWorldValueMap \
			0 255 0 1 "SUVbw" "GML" \
			"{SUVbw}g/ml" "UCUM" "" "SUVbw in g/ml" \
			CODE "(G-C1C6, SRT, Quantity)" '(126400, DCM, "Standardized Uptake Value")' \
			CODE '(G-C036, SRT, "Measurement Method")' '(126410, DCM, "SUV body weight calculation method")' \
			NUMERIC '(G-7174, SRT, "Delay time")' "60" '(s, UCUM, "s")' \
			TEXT '(121401, DCM, "Derivation")' "My funky method" \
			/tmp/testinsertrwvmsrc.dcm \
			/tmp/testinsertrwvmdst
	dcdiff /tmp/testinsertrwvmsrc.dcm /tmp/testinsertrwvmdst/*
	dciodvfy /tmp/testinsertrwvmdst/*
	rm -f /tmp/testinsertrwvmsrc.dcm
	rm -rf /tmp/testinsertrwvmdst

testmergecontext:	MergeCompositeContext.class
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContext \
			/tmp/crapq/QIBA_CT_1B \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat

testmergecontexttwo:	MergeCompositeContext.class
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContext \
			/tmp/crapq/QIBA_CT_1B/Blinded \
			/tmp/crapq/QIBA_CT_1B/Results \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat

testmergecontextsronly:	MergeCompositeContext.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx
	(find /tmp/crapq/QIBA_CT_1B/Results -name '*.sr' -exec cp '{}' /tmp/crapx/ ';')
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContext \
			/tmp/crapx \
			/tmp/crapq/QIBA_CT_1B/Blinded \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat

testmergecontextthree:	MergeCompositeContext.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx
	dcsmpte /tmp/crapx/initialcontext.dcm \
		-nodisclaimer \
		-r PatientName "MSKCC0001" \
		-r PatientID "MSKCC0001" \
		-r ClinicalTrialSubjectID "MSKCC0001" \
		-r ClinicalTrialSponsorName "QIBA" \
		-r ClinicalTrialProtocolID "QIBA_CT_1B" \
		-r ClinicalTrialProtocolName " " \
		-r ClinicalTrialSiteID "001" \
		-r ClinicalTrialSiteName " " \
		-r ClinicalTrialSubjectID "MSKCC0001" \
		-r ClinicalTrialSubjectReadingID "MSKCC0001" \
		-r StudyInstanceUID "1.3.6.1.4.1.9328.50.1.336855045631083138173485506844321353749"
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContext \
			/tmp/crapq/QIBA_CT_1B/Blinded \
			/tmp/crapq/QIBA_CT_1B/Results \
			/tmp/crapx \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat

testmergecontextselectivelydefaultpatient:	MergeCompositeContextForOneEntitySelectively.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx
	dcsmpte /tmp/crapx/initialcontext.dcm \
		-nodisclaimer \
		-r PatientName "MSKCC0001" \
		-r PatientID "MSKCC0001" \
		-r StudyDate "19710607" \
		-r SeriesNumber "36" \
		-r InstanceNumber "12243" \
		-r FrameOfReferenceUID 1.3.6.1.4.1.5962.1.3.0.36.1433088289.31557.9999
	dcsmpte /tmp/crapx/differentcontext.dcm \
		-nodisclaimer \
		-r PatientName "BLABLA" \
		-r PatientID "BLABLA" \
		-r StudyDate "19200403" \
		-r SeriesNumber "42" \
		-r InstanceNumber "873652835" \
		-r FrameOfReferenceUID 1.3.6.1.4.1.5962.1.3.0.36.1433088289.31557.8888
	rm -rf /tmp/crapd
	mkdir /tmp/crapd
	java -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.apps.MergeCompositeContextForOneEntitySelectively \
			/tmp/crapx/initialcontext.dcm \
			/tmp/crapx/differentcontext.dcm \
			/tmp/crapd
	find /tmp/crapd -name '*.dcm' >/tmp/crapd_filelist.dat
	cat /tmp/crapd_filelist.dat
	dcentvfy -f /tmp/crapd_filelist.dat
	dctable -describe -k StudyInstanceUID -k SeriesInstanceUID -k FrameOfReferenceUID -k SOPInstanceUID -k PatientID -k PatientName -k SeriesNumber -k InstanceNumber
	@xargs -L1 -I% </tmp/crapd_filelist.dat dctable -k StudyInstanceUID -k SeriesInstanceUID -k FrameOfReferenceUID -k SOPInstanceUID -k PatientID -k PatientName -k SeriesNumber -k InstanceNumber "%"

testmergecontextselectivelypatientstudy:	MergeCompositeContextForOneEntitySelectively.class
	rm -rf /tmp/crapx
	mkdir /tmp/crapx
	dcsmpte /tmp/crapx/initialcontext.dcm \
		-nodisclaimer \
		-r PatientName "MSKCC0001" \
		-r PatientID "MSKCC0001" \
		-r StudyDate "19710607" \
		-r SeriesNumber "36" \
		-r InstanceNumber "12243" \

=== pixelmed/convert/Makefile ===
OBJS = \
	AnalyzeToDicom.class \
	AnalyzeHeader.class \
	AnalyzeException.class \
	CommonConvertedAttributeGeneration.class \
	ConvertAmicasJPEG2000FilesetToDicom.class \
	NIfTI1ToDicom.class \
	NIfTI1Header.class \
	NIfTI1Exception.class \
	NRRDToDicom.class \
	NRRDHeader.class \
	NRRDException.class \
	RawImageDescription.class \
	RawRGBInformation.class \
	RawRGBToDicomMultiFrame.class \
	RawToDicomMultiFrame.class \
	UnencapsulateCompressedPixelData.class \
	EncapsulateCompressedPixelData.class \
	IndexedLabelMapToSegmentation.class \
	EncapsulateData.class \
	UnencapsulateData.class \
	TIFFException.class \
	TIFFFile.class \
	TIFFImageFileDirectories.class \
	TIFFImageFileDirectory.class \
	TIFFImageFileDirectoryEntry.class \
	TIFFTags.class \
	TIFFTypes.class \
	TIFFValues.class \
	TIFFToDicom.class \
	TIFFPixelMessageDigest.class \
	AddTIFFOrOffsetTables.class \
	Immunostaining.class
	
all:	${OBJS}

PATHTOROOT = ../../..

include ${PATHTOROOT}/Makefile.common.mk

# override javac command in Makefile.common.mk to add javax.json-api-1.0.jar to classpath for RawImageDescription, add CSVADDITIONALJARS for TIFFToDicom
.java.class:
	export JAVAVERSIONTARGETJARFILE=`/usr/libexec/java_home -v ${JAVAVERSIONTARGET} | tail -1`/jre/lib/rt.jar; javac ${JAVACOPTIONS} \
		-classpath ${PATHTOROOT}:${SLF4JCOMPILEADDITIONALJAR}:${DICOMADDITIONALJARS}:${VIEWERADDITIONALJARS}:${FTPADDITIONALJARS}:${JUNITJAR}:${PATHTOADDITIONAL}/javax.json-api-1.0.jar:${CSVADDITIONALJARS} \
		-sourcepath ${PATHTOROOT} $<

testamicas:	ConvertAmicasJPEG2000FilesetToDicom.class
	mkdir -p /tmp/todicomMR1
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom "$${HOME}/Pictures/Medical/AmicasJ2K/ELMR20030206" /tmp/todicomMR1
	mkdir -p /tmp/todicomCT1
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom "$${HOME}/Pictures/Medical/AmicasJ2K/CD0105153529" /tmp/todicomCT1
	mkdir -p /tmp/todicomCT2
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom "$${HOME}/Pictures/Medical/AmicasJ2K/CD0114154520" /tmp/todicomCT2

testamicasdialog:	ConvertAmicasJPEG2000FilesetToDicom.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom


testanalyzeheader:	AnalyzeHeader.class AnalyzeException.class
	java -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.AnalyzeHeader \
		"/Volumes/Toshiba5TEnc/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.hdr"
		#"$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Analyze/Analyze75/MT_H13885_4.hdr"

testanalyzeconvert:	AnalyzeToDicom.class AnalyzeHeader.class AnalyzeException.class
	rm -f /tmp/avg152T1_LR-marked.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.AnalyzeToDicom \
		"$${HOME}/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.hdr" \
		"/tmp/avg152T1_LR-marked.dcm" \
		"H13885" H13885_9M "" 40001 1 MR
	if [ -f "$${HOME}/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "$${HOME}/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm" "/tmp/avg152T1_LR-marked.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp  "$${HOME}/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm" "/tmp/avg152T1_LR-marked.dcm"; \
		echo "Finished comparing"; \
	fi

# has orient = 0 TRANSVERSE_UNFLIPPED, unsigned pixdim values (001188)
testanalyze_OAS10001:	AnalyzeToDicom.class AnalyzeHeader.class AnalyzeException.class
	rm -f "/tmp/OAS10001.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.AnalyzeToDicom \
		"$${HOME}/Pictures/Medical/OAS10001/OAS10001.hdr" \
		"/tmp/OAS10001.dcm" \
		"OAS10001" 1234 5678 100 1 MR "1.2.840.10008.5.1.4.1.1.4.4"
	if [ -f "$${HOME}/Pictures/Medical/OAS10001/OAS10001.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "$${HOME}/Pictures/Medical/OAS10001/OAS10001/OAS10001.dcm" "/tmp/OAS10001.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp  "$${HOME}/Pictures/Medical/OAS10001/OAS10001/OAS10001.dcm" "/tmp/OAS10001.dcm"; \
		echo "Finished comparing"; \
	fi

testanalyzecompare:	testanalyzeconvert

testanalyzecreate:
	rm -f "/Volumes/Toshiba5TEnc/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm"
	make testanalyzecompare
	cp /tmp/avg152T1_LR-marked.dcm "/Volumes/Toshiba5TEnc/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm"

# expect differences between Bruker original enhanced MF and pixelmed converted ... take care not to overwrite original during testing
testanalyzemtmouse:	AnalyzeToDicom.class AnalyzeHeader.class AnalyzeException.class
	rm -f /tmp/MT_H13885_4.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.AnalyzeToDicom \
		"$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Analyze/Analyze75/MT_H13885_4.hdr" \
		"/tmp/MT_H13885_4.dcm" \
		"H13885" H13885_9M "" 40001 1 MR
	if [ -f "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Bruker/DICOM/EnhancedMR/H13885_9M_H13885_PKD__E4_P1/EnIm1.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Bruker/DICOM/EnhancedMR/H13885_9M_H13885_PKD__E4_P1/EnIm1.dcm" "/tmp/MT_H13885_4.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Bruker/DICOM/EnhancedMR/H13885_9M_H13885_PKD__E4_P1/EnIm1.dcm" "/tmp/MT_H13885_4.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1header:	NIfTI1Header.class NIfTI1Exception.class
	java -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1Header \
		"$${HOME}/Pictures/Medical/ParametricMaps/DICOM_FP/GE_Normalized_Boxerman_rBFMap_LeakageCorrected.nii"
		#"$${HOME}/Pictures/Medical/ParametricMaps/DICOM_FP/dti_adc.nii"

testnifti1convert:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f /tmp/testnifti1fp.dcm
	rm -f /tmp/testnifti1fp_scaledtoint.dcm
	rm -f /tmp/testnifti1fp_scaledtointthenmadefloatagain.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"$${HOME}/Pictures/Medical/ParametricMaps/DICOM_FP/DICOM_FP/GE_Normalized_Boxerman_rBFMap_LeakageCorrected.nii" \
		/tmp/testnifti1fp.dcm \
		"Doe^Jane" 1234 5678 100 1
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.apps.IntegerScalingOfFloatingPointPixelData \
		/tmp/testnifti1fp.dcm /tmp/testnifti1fp_scaledtoint.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.apps.IntegerScalingOfFloatingPointPixelData \
		toFLOAT /tmp/testnifti1fp_scaledtoint.dcm /tmp/testnifti1fp_scaledtointthenmadefloatagain.dcm
	andump /tmp/testnifti1fp.dcm
	#dciodvfy /tmp/testnifti1fp.dcm
	andump /tmp/testnifti1fp_scaledtoint.dcm
	dciodvfy /tmp/testnifti1fp_scaledtoint.dcm
	#dchist -h /tmp/testnifti1fp_scaledtoint.dcm
	#andiff /tmp/testnifti1fp.dcm /tmp/testnifti1fp_scaledtoint.dcm
	@echo "Checking round trip to int and back to float ..."
	#dccmp /tmp/testnifti1fp.dcm /tmp/testnifti1fp_scaledtointthenmadefloatagain.dcm
	andiff /tmp/testnifti1fp.dcm /tmp/testnifti1fp_scaledtointthenmadefloatagain.dcm

testnifti1talairach:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "$${HOME}/Documents/Medical/stuff/Atlases/Talairach/talairach.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"$${HOME}/Documents/Medical/stuff/Atlases/Talairach/talairach.nii" \
		"$${HOME}/Documents/Medical/stuff/Atlases/Talairach/talairach.dcm" \
		"Talairach" 1234 5678 100 1 MR

testnifti1dti:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f /tmp/dti20.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/Toshiba5TEnc/Pictures/Medical/dcm2nii_TestDataSets/dti20/dti20.nii" \
		"/tmp/dti20.dcm" \
		"DTI" 1234 5678 100 1 MR "1.2.840.10008.5.1.4.1.1.4.4"
	if [ -f "/Volumes/Toshiba5TEnc/Pictures/Medical/dcm2nii_TestDataSets/dti20.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/Toshiba5TEnc/Pictures/Medical/dcm2nii_TestDataSets/dti20.dcm" "/tmp/dti20.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/Toshiba5TEnc/Pictures/Medical/dcm2nii_TestDataSets/dti20.dcm" "/tmp/dti20.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1test4d1:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/filtered_func_data.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/filtered_func_data.nii" \
		"/tmp/filtered_func_data.dcm" \
		"4D" 1234 5678 100 1 MR "1.2.840.10008.5.1.4.1.1.4.4"
	if [ -f "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/filtered_func_data.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/filtered_func_data.dcm" "/tmp/filtered_func_data.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/filtered_func_data.dcm" "/tmp/filtered_func_data.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1testLR:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/avg152T1_LR_nifti.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.nii" \
		"/tmp/avg152T1_LR_nifti.dcm" \
		"LR" 1234 5678 100 1 MR "1.2.840.10008.5.1.4.1.1.4.4"
	if [ -f "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" "/tmp/avg152T1_LR_nifti.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" "/tmp/avg152T1_LR_nifti.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1testLR_hdr:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/avg152T1_LR_nifti.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.hdr" \
		"/tmp/avg152T1_LR_nifti.dcm" \
		"LR" 1234 5678 100 1 MR "1.2.840.10008.5.1.4.1.1.4.4"
	if [ -f "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" "/tmp/avg152T1_LR_nifti.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" "/tmp/avg152T1_LR_nifti.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1testRL:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/avg152T1_RL_nifti.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/Toshiba5TEnc/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_RL_nifti.nii" \
		"/tmp/avg152T1_RL_nifti.dcm" \
		"RL" 1234 5678 100 1 MR "1.2.840.10008.5.1.4.1.1.4.4"

=== pixelmed/dicom/Makefile ===
OBJS = AgeStringAttribute.class \
ApplicationEntityAttribute.class \
ArrayCopyUtilities.class \
AsynchronousOutputStream.class \
Attribute.class \
AttributeFactory.class \
AttributeList.class \
AttributeListTableBrowser.class \
AttributeListTableModel.class \
AttributeListFunctionalGroupsTableModel.class \
AttributeListFunctionalGroupsTableModelOneFrame.class \
AttributeListFunctionalGroupsTableModelAllFrames.class \
AttributeTag.class \
AttributeTagAttribute.class \
AttributeTest.class \
AttributeTree.class \
AttributeTreeBrowser.class \
AttributeTreeRecord.class \
BinaryInputStream.class \
BinaryOutputStream.class \
ByteFrameSource.class \
ClinicalTrialsAttributes.class \
CodedSequenceItem.class \
CodeStringAttribute.class \
CodingSchemeIdentification.class \
CodingSchemeIdentificationItem.class \
CoercionModel.class \
ColorPalette.class \
ColorPaletteHotIron.class \
ColorPaletteHotMetalBlue.class \
ColorPalettePET.class \
ColorPalettePET20Step.class \
CompositeInstanceContext.class \
CompressedFrameDecoder.class \
CompressedFrameEncoder.class \
ContentItem.class \
ContentItemFactory.class \
CrossSectionalImageLibrary.class \
DateAttribute.class \
DateTimeAttribute.class \
DecimalStringAttribute.class \
DescriptionFactory.class \
DicomDictionary.class \
DicomDictionaryBase.class \
DicomDirectory.class \
DicomDirectoryBrowser.class \
DicomDirectoryRecord.class \
DicomDirectoryRecordFactory.class \
DicomDirectoryRecordType.class \
DicomException.class \
DicomFileUtilities.class \
DicomInputStream.class \
DicomOutputStream.class \
DicomStreamCopier.class \
DisplayShutter.class \
EncapsulateImageInDicom.class \
EncapsulatedInputStream.class \
FileMetaInformation.class \
FloatDoubleAttribute.class \
FloatSingleAttribute.class \
FrameSet.class \
FunctionalGroupUtilities.class \
GeometryOfSliceFromAttributeList.class \
GeometryOfVolumeFromAttributeList.class \
HierarchicalImageReference.class \
HierarchicalSOPInstanceReference.class \
ImageLibrary.class \
ImageReference.class \
ImageToDicom.class \
InformationEntity.class \
IntegerStringAttribute.class \
JSONRepresentationOfDicomObjectFactory.class \
JSONRepresentationOfStructuredReportObjectFactory.class \
LongStringAttribute.class \
LongTextAttribute.class \
LossyImageCompression.class \
MediaImporter.class \
ModalityTransform.class \
MoveDicomFilesIntoHierarchy.class \
MultiFrameImageFactory.class \
MultiFramePixelData.class \
NullOutputStream.class \
OtherAttributeOnDisk.class \
OtherByteAttribute.class \
OtherByteAttributeCompressedSeparateFramesOnDisk.class \
OtherByteAttributeMultipleCompressedFilesOnDisk.class \
OtherByteAttributeMultipleCompressedFrames.class \
OtherByteAttributeMultipleFilesOnDisk.class \
OtherByteAttributeMultipleFrameArrays.class \
OtherByteAttributeOnDisk.class \
OtherDoubleAttribute.class \
OtherFloatAttribute.class \
OtherFloatAttributeMultipleFilesOnDisk.class \
OtherLongAttribute.class \
OtherVeryLongAttribute.class \
OtherWordAttribute.class \
OtherWordAttributeMultipleFilesOnDisk.class \
OtherWordAttributeMultipleFrameArrays.class \
OtherWordAttributeOnDisk.class \
Overlay.class \
PDFToDicomImage.class \
PersonIdentification.class \
PersonNameAttribute.class \
PixelSpacing.class \
PrivatePixelData.class \
ProjectionXRayImageLibrary.class \
RealWorldValueTransform.class \
SequenceAttribute.class \
SequenceItem.class \
SetOfDicomFiles.class \
SetOfFrameSets.class \
ShortStringAttribute.class \
ShortTextAttribute.class \
SignedLongAttribute.class \
SignedShortAttribute.class \
SignedVeryLongAttribute.class \
SingleOverlay.class \
SOPClass.class \
SOPClassDescriptions.class \
SOPInstanceReference.class \
SpatialCoordinateAndImageReference.class \
SpecificCharacterSet.class \
SpectroscopyVolumeLocalization.class \
StackOfSlices.class \
StandaloneAttributeTreeBrowser.class \
StoredFilePathStrategyHashSubFolders.class \
StoredFilePathStrategySingleFolder.class \
StoredFilePathStrategyComponentFolders.class \
StoredFilePathStrategy.class \
StringAttribute.class \
StringAttributeAffectedBySpecificCharacterSet.class \
StructuredReport.class \
StructuredReportBrowser.class \
StructuredReportTreeBrowser.class \
SUVTransform.class \
TagFromName.class \
TextAttribute.class \
TiledFramesIndex.class \
TimeAttribute.class \
TransferSyntax.class \
TransferSyntaxFromName.class \
UIDGenerator.class \
UniqueIdentifierAttribute.class \
UniversalResourceAttribute.class \
UnknownAttribute.class \
UnlimitedCharactersAttribute.class \
UnlimitedTextAttribute.class \
UniversalResourceAttribute.class \
UnPackBits.class \
UnsignedLongAttribute.class \
UnsignedShortAttribute.class \
UnsignedVeryLongAttribute.class \
ValueRepresentation.class \
VersionAndConstants.class \
Veterinary.class \
VOITransform.class \
XMLRepresentationOfDicomObjectFactory.class \
XMLRepresentationOfStructuredReportObjectFactory.class \
confidentialityprofiledataelementsandhandling.xml

all:	${OBJS}

PATHTOROOT = ../../..

include ${PATHTOROOT}/Makefile.common.mk

clean:
	rm -f *~ *.class core *.bak \
		confidentialityprofiledataelementsandhandling.xml \
		/tmp/testDicomFile_MEVRLE_EVRLE_8.dcm \
		/tmp/testDicomFile_MEVRLE_IVRLE_8.dcm \
		/tmp/testDicomFile_MEVRLE_EVRLE_12.dcm \
		/tmp/testDicomFile_MEVRLE_IVRLE_12.dcm \
		/tmp/testDicomFile_NOM_IVRLE_12.dcm \
		/tmp/testDicomFile_NOM_EVRLE_12.dcm \
		/tmp/testsr1.dcm \
		/tmp/testfl1.dcm \
		/tmp/testfl2.dcm

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/dicom.`date '+%Y%m%d'`.tar.gz

createAttributeClasses:
	./createAttributeClasses.sh

test:	testBinaryInputStream testAttributeList_read testAttributeList_readseq

testBinaryInputStream:	BinaryInputStream.class
	touch /tmp/testBinaryInputStream
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.BinaryInputStream /tmp/testBinaryInputStream
	rm -f /tmp/testBinaryInputStream

/tmp/testDicomFile_MEVRLE_EVRLE_8.dcm:
	dcsmpte /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm

/tmp/testDicomFile_MEVRLE_IVRLE_8.dcm:
	dcsmpte /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm -endian little -vr implicit

/tmp/testDicomFile_MEVRLE_EVRLE_12.dcm:
	dcsmpte /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm -bits 12 -minval 0 -maxval 4095 -endian little -vr explicit

/tmp/testDicomFile_MEVRLE_IVRLE_12.dcm:
	dcsmpte /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm -bits 12 -minval 0 -maxval 4095 -endian little -vr implicit

/tmp/testDicomFile_NOM_IVRLE_12.dcm:
	dcsmpte /tmp/testDicomFile_NOM_IVRLE_12.dcm -bits 12 -minval 0 -maxval 4095 -endian little -vr implicit -nometa

/tmp/testDicomFile_NOM_EVRLE_12.dcm:
	dcsmpte /tmp/testDicomFile_NOM_EVRLE_12.dcm -bits 12 -minval 0 -maxval 4095 -endian little -vr explicit -nometa

testAttributeList_read:		AttributeList.class \
				/tmp/testDicomFile_MEVRLE_EVRLE_8.dcm \
				/tmp/testDicomFile_MEVRLE_IVRLE_8.dcm \
				/tmp/testDicomFile_MEVRLE_EVRLE_12.dcm \
				/tmp/testDicomFile_MEVRLE_IVRLE_12.dcm \
				/tmp/testDicomFile_NOM_IVRLE_12.dcm \
				/tmp/testDicomFile_NOM_EVRLE_12.dcm
	@echo "############# testDicomFile_MEVRLE_EVRLE_8"
	dcfile /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm /tmp/crap
	dccmp /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm /tmp/crap
	exit 0
	@echo "############# testDicomFile_MEVRLE_IVRLE_8"
	dcfile /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm /tmp/crap
	dccmp /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm /tmp/crap
	@echo "############# testDicomFile_MEVRLE_EVRLE_12"
	dcfile /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm /tmp/crap
	dccmp /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm /tmp/crap
	@echo "############# testDicomFile_MEVRLE_IVRLE_12"
	dcfile /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm /tmp/crap
	dccmp /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm /tmp/crap
	@echo "############# testDicomFile_NOM_IVRLE_12"
	dcfile /tmp/testDicomFile_NOM_IVRLE_12.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_NOM_IVRLE_12.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_NOM_IVRLE_12.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_NOM_IVRLE_12.dcm /tmp/crap
	dccmp /tmp/testDicomFile_NOM_IVRLE_12.dcm /tmp/crap
	@echo "############# testDicomFile_NOM_EVRLE_12"
	dcfile /tmp/testDicomFile_NOM_EVRLE_12.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_NOM_EVRLE_12.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_NOM_EVRLE_12.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_NOM_EVRLE_12.dcm /tmp/crap
	dccmp /tmp/testDicomFile_NOM_EVRLE_12.dcm /tmp/crap

testAttributeList_readseq:	AttributeList.class
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList $${HOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l $${HOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR /tmp/crap
	dcdiff $${HOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR /tmp/crap
	dccmp $${HOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR /tmp/crap

testattribute:	AttributeTest.class
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeTest

testattributetag:	AttributeTag.class
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeTag

testDICOMDIR:	DicomDirectory.class DicomDirectoryRecord.class DicomDirectoryRecordFactory.class DicomDirectoryBrowser.class
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.DicomDirectoryBrowser $${HOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR


testDICOMDIR2:	DicomDirectory.class DicomDirectoryRecord.class DicomDirectoryRecordFactory.class DicomDirectoryBrowser.class
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.DicomDirectoryBrowser $${HOME}/Work/dctool.support/images/dicom/ge/opal/dd_opal

testDICOMDIR3:	DicomDirectory.class DicomDirectoryRecord.class DicomDirectoryRecordFactory.class DicomDirectoryBrowser.class
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.DicomDirectoryBrowser $${HOME}/Work/dctool.support/images/dicom/dicomdirs/dicomdir.carestreammissingimagelowerleveloffset

/tmp/testDICOMDIR4.tmp:	/tmp/testDicomFile_MEVRLE_EVRLE_8.dcm
	dcdirmk -novalidatename -noicons -noinstancechildoffset -of $@ /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm

testDICOMDIR4:	DicomDirectory.class DicomDirectoryRecord.class DicomDirectoryRecordFactory.class DicomDirectoryBrowser.class \
				/tmp/testDICOMDIR4.tmp
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.DicomDirectoryBrowser /tmp/testDICOMDIR4.tmp

/tmp/testfl1.dcm:
	dccp $${HOME}/Work/dctool.support/images/dicom/rsna99.image.19991117/tests/test513.pres $@

testfl1:	AttributeList.class /tmp/testfl1.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testfl1.dcm "" TEST

/tmp/testfl2.dcm:

=== pixelmed/display/Makefile ===
PATHTOROOT = ../../..

OBJS =	TestApp.class \
	TestAppMultiFile.class \
	TestAppMultiFrame.class \
	TestAppMultiFrameStackMode.class \
	TestAppMultiFrameCompare.class \
	DicomBrowser.class \
	ApplicationFrame.class \
	SingleImagePanel.class \
	SingleImagePanelWithRegionDetection.class \
	SingleImagePanelWithRegionDrawing.class \
	SingleImagePanelWithLineDrawing.class \
	SourceImage.class \
	SourceImageSubset.class \
	SourceImageSortOrderPanel.class \
	SourceImageVOILUTSelectorPanel.class \
	SourceImageWindowLinearCalculationSelectorPanel.class \
	SourceImageWindowingAccelerationSelectorPanel.class \
	SourceInstanceSortOrderPanel.class \
	SourceSpectra.class \
	SourceSpectrumSortOrderPanel.class \
	SpectraPanel.class \
	DisplayDicomDirectoryBrowser.class \
	DisplayStructuredReportBrowser.class \
	TextAnnotation.class \
	TextAnnotationPositioned.class \
	DicomImageViewer.class \
	PlotGraph.class \
	StatusBarManager.class \
	WindowCenterAndWidth.class \
	DemographicAndTechniqueAnnotations.class \
	OrientationAnnotations.class \
	ConsumerFormatImageMaker.class \
	BufferedImageUtilities.class \
	LocalizerManager.class \
	ImageLocalizerManager.class \
	SpectroscopyLocalizerManager.class \
	MammoImageViewer.class \
	MammoDemographicAndTechniqueAnnotations.class \
	ChestImageViewer.class \
	DisplayDeviceArea.class \
	DisplayedAreaSelection.class \
	ImageEditUtilities.class \
	DicomImageBlackout.class \
	DescribeGraphicsEnvironment.class \
	DialogMessageLogger.class \
	DrawingUtilities.class \
	DicomCleaner.class \
	IconListBrowser.class \
	IconDemographicAndTechniqueAnnotations.class \
	SourceImageShutterSelectorPanel.class \
	SuperimposedImage.class \
	SuperimposedDicomImage.class \
	SuperimposedDicomSegments.class \
	SafeFileChooser.class \
	SafeProgressBarUpdaterThread.class \
	SafeCursorChanger.class \
	TiledSourceImageSortOrderPanel.class

TRANSFORMEDPROPERTIES = \
	DicomCleaner_cs.properties \
	DicomCleaner_da.properties \
	DicomCleaner_de.properties \
	DicomCleaner_el.properties \
	DicomCleaner_es.properties \
	DicomCleaner_fi.properties \
	DicomCleaner_fr.properties \
	DicomCleaner_hu.properties \
	DicomCleaner_it.properties \
	DicomCleaner_ja.properties \
	DicomCleaner_ko.properties \
	DicomCleaner_nl.properties \
	DicomCleaner_no.properties \
	DicomCleaner_pl.properties \
	DicomCleaner_pt.properties \
	DicomCleaner_ro.properties \
	DicomCleaner_ru.properties \
	DicomCleaner_sv.properties \
	DicomCleaner_tr.properties \
	DicomCleaner_zh_CN.properties \
	DicomImageBlackout_cs.properties \
	DicomImageBlackout_da.properties \
	DicomImageBlackout_de.properties \
	DicomImageBlackout_el.properties \
	DicomImageBlackout_es.properties \
	DicomImageBlackout_fi.properties \
	DicomImageBlackout_fr.properties \
	DicomImageBlackout_hu.properties \
	DicomImageBlackout_it.properties \
	DicomImageBlackout_ja.properties \
	DicomImageBlackout_ko.properties \
	DicomImageBlackout_nl.properties \
	DicomImageBlackout_no.properties \
	DicomImageBlackout_pl.properties \
	DicomImageBlackout_pt.properties \
	DicomImageBlackout_ro.properties \
	DicomImageBlackout_ru.properties \
	DicomImageBlackout_sv.properties \
	DicomImageBlackout_tr.properties \
	DicomImageBlackout_zh_CN.properties \
	SafeFileChooser_cs.properties \
	SafeFileChooser_da.properties \
	SafeFileChooser_el.properties \
	SafeFileChooser_fi.properties \
	SafeFileChooser_hu.properties \
	SafeFileChooser_nl.properties \
	SafeFileChooser_no.properties \
	SafeFileChooser_pl.properties \
	SafeFileChooser_pt.properties \
	SafeFileChooser_ro.properties \
	SafeFileChooser_ru.properties \
	SafeFileChooser_tr.properties \
	ApplicationFrame_cs.properties \
	ApplicationFrame_da.properties \
	ApplicationFrame_el.properties \
	ApplicationFrame_fi.properties \
	ApplicationFrame_hu.properties \
	ApplicationFrame_nl.properties \
	ApplicationFrame_no.properties \
	ApplicationFrame_pl.properties \
	ApplicationFrame_pt.properties \
	ApplicationFrame_ro.properties \
	ApplicationFrame_ru.properties \
	ApplicationFrame_tr.properties

all:	${OBJS} ${TRANSFORMEDPROPERTIES}

include ${PATHTOROOT}/Makefile.common.mk

# override javac command in Makefile.common.mk to add codec to classpath, until folded into main trunk :(
.java.class:
	export JAVAVERSIONTARGETJARFILE=`/usr/libexec/java_home -v ${JAVAVERSIONTARGET} | tail -1`/jre/lib/rt.jar; javac ${JAVACOPTIONS} \
		-classpath ${PATHTOROOT}:${SLF4JCOMPILEADDITIONALJAR}:${DISPLAYADDITIONALJARS}:${PIXELMEDIMAGEIOJAR} \
		-sourcepath ${PATHTOROOT} $<

TEST_512_16DCM = ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/MR1
TEST_512_16RAW = /tmp/crap.512.16.raw
TEST_512_16JPG = /tmp/crap.512.16.jpg
TEST_512_16BMP = /tmp/crap.512.16.bmp
TEST_512_16J2K = /tmp/crap.512.16.j2k
TEST_512_16GIF = /tmp/crap.512.16.gif
TEST_512_16PNG = /tmp/crap.512.16.png
TEST_512_16TIF = /tmp/crap.512.16.tif
TEST_512_16PNM = /tmp/crap.512.16.pnm

TEST_BIG_16DCM = ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/MG1
TEST_BIG_16RAW = /tmp/crap.big.16.raw

TEST_512_8DCM = /tmp/crap.512.8.dcm
TEST_512_8RAW = /tmp/crap.512.8.raw
TEST_512_8JPG = /tmp/crap.512.8.jpg

TEST_RGB_DCM = /tmp/crap.rgb.dcm
TEST_RGB_JPG = /tmp/crap.rgb.jpg

clean:
	(cd event; make clean)
	rm -f *~ *.class core *.bak \
		${TRANSFORMEDPROPERTIES} \
		${TEST_512_8DCM} \
		${TEST_512_16RAW} ${TEST_BIG_16RAW} ${TEST_512_8RAW} \
		${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr \
		${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/display.`date '+%Y%m%d'`.tar.gz

test_512_8d1:	TestApp.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8DCM} 1 1

test_512_8d:	TestApp.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8DCM} 4 2

test_512_8r1:	TestApp.class ${TEST_512_8RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8RAW} 512 512 8 1 1

test_512_8r:	TestApp.class ${TEST_512_8RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8RAW} 512 512 8 2 6

${TEST_512_8DCM}:
	dcsmpte > $@

${TEST_512_8RAW}:	${TEST_512_8DCM}
	dctoraw $? $@

test_512_16d1:	TestApp.class ${TEST_512_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16DCM} 1 1

test_512_16d:	TestApp.class ${TEST_512_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16DCM} 2 6

test_512_16:	TestApp.class ${TEST_512_16RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16RAW} 512 512 16 2 6

${TEST_512_16RAW}:	${TEST_512_16DCM}
	dctoraw $? $@

test_big_16d:	TestApp.class ${TEST_BIG_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_BIG_16DCM} 1 1

test_big_16:	TestApp.class ${TEST_BIG_16RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_BIG_16RAW} 3064 4664 16 1 1

${TEST_BIG_16RAW}:	${TEST_BIG_16DCM}
	dctoraw $? $@

test_512_8_single:	SingleImagePanel.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.SingleImagePanel ${TEST_512_8DCM}


testbrowser:	DicomBrowser.class
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser

testdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/DICOMDIR

testcddir:	DicomBrowser.class \
				/mnt/cdrom/dicomdir
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser /mnt/cdrom/dicomdir

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm:	${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.source
	ancreate < $< > $@.tmp
	dccp $@.tmp $@ -stamp 9999
	rm -f $@.tmp

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr:
	dcsmpte > $@ -r PatientName "Homer^Jane^^^" -r PatientID 234567 \
		-r StudyID 345678 -r StudyDate 19991029 \
		-r StudyTime 154500 -r SeriesNumber 2 -r InstanceNumber 1 \
		-r StudyInstanceUID 1.2.3.4.5.6.7.100 \
		-r SeriesInstanceUID 1.2.3.4.5.6.7.400 \
		-r SOPInstanceUID 1.3.6.1.4.1.5962.1.1.17998.2.1.1001278501.11736.8323328 \
		-r AccessionNumber 123456 \
		-stamp 9999

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR:	\
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr
	(cd ${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests; dcdirmk -novalidatename testscoord.dcm imgforsr >DICOMDIR)

testsrdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR

testosdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work/DICOMDIR

testos2dir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work2/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work2/DICOMDIR

testnemamfmr:	DicomImageViewer.class
	mkdir -p $${HOME}/.com.pixelmed.display.DicomImageViewer.images
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOROOT}/../../nemamfmr/DISCIMG/DICOMDIR

testnemamfmr.clean:
	rm -rf $${HOME}/.com.pixelmed.display.*

testnemamfct:	DicomImageViewer.class
	mkdir -p $${HOME}/.com.pixelmed.display.DicomImageViewer.images
	java -Xms512m -Xmx1024m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOROOT}/../../nemamfct/DISCIMG/DICOMDIR

testnemamfct.clean:
	rm -rf $${HOME}/.com.pixelmed.display.*

testplotgraph:
	rm -f ~/snap*.jpg; for i in 0 1 2 3 4 5 6 7; do echo "frame $$i"; java -classpath ${PATHTOROOT} com.pixelmed.display.PlotGraph ~/work/nemamfmr/srcimages/ucsfspectra/spectra/spectra/t2256_cor_sum.cmplx 512 12 12 $$i; mv ~/snap*.jpg frame_$$i.jpg; done

testspectrum.dcm:	Makefile
	rm -f /tmp/crap.empty
	touch /tmp/crap.empty
	${PATHTODCTOOLS}/appsrc/dcfile/dccp /tmp/crap.empty testspectrum.dcm \
		-r NumberOfFrames 8 -r Rows 12 -r Columns 12 -r DataPointRows 1 -r DataPointColumns 512 \
		-r DataRepresentation COMPLEX -r SignalDomainColumns FREQUENCY \
		-r PatientID 1234 -r StudyID 1234 -r SeriesNumber 1 -r InstanceNumber 1 \
		-r Modality MR -r SOPClassUID "1.2.840.10008.5.1.4.1.1.4.2" \
		-nodisclaimer -output-vr explicit -output-endian big
	echo "(0x5600,0x0020) OF Spectroscopy Data VR=<OF> VL=<0x480000> []" | ${PATHTODCTOOLS}/appsrc/acrnema/ancreate -e -b >> testspectrum.dcm
	cat ${PATHTOROOT}/../../nemamfmr/srcimages/ucsfspectra/spectra/spectra/t2256_cor_sum.cmplx >> testspectrum.dcm
	rm /tmp/crap.empty
	
testviewer:	DicomImageViewer.class
	if [ ! -L .com.pixelmed.display.DicomImageViewer.images ]; then mkdir -p $${HOME}/.com.pixelmed.display.DicomImageViewer.images; fi
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR} \
		com.pixelmed.display.DicomImageViewer

testviewerdebugdisplaynoslf:	DicomImageViewer.class
	if [ ! -L .com.pixelmed.display.DicomImageViewer.images ]; then mkdir -p $${HOME}/.com.pixelmed.display.DicomImageViewer.images; fi
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PIXELMEDIMAGEIOJAR} \

=== pixelmed/dose/Makefile ===
PATHTOROOT = ../../..

OBJS = \
CommonDoseObserverContext.class \
CTAcquisitionParameters.class \
CTDose.class \
CTDoseAcquisition.class \
CTDoseCheckDetails.class \
CTIrradiationEventDataFromImages.class \
CTPhantomType.class \
CTScanType.class \
DeviceParticipant.class \
DoseCompositeInstanceContext.class \
PersonParticipant.class \
RadiationDoseStructuredReport.class \
RadiationDoseStructuredReportFactory.class \
RecordingDeviceObserverContext.class \
RoleInOrganization.class \
RoleInProcedure.class \
ScanRange.class \
ScopeOfDoseAccummulation.class \
SourceOfDoseInformation.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../dose.`date '+%Y%m%d'`.tar.gz

clean:
	rm -f *~ *.class core *.bak ${OBJS}

testCTIrradiationEventDataFromImages:	${OBJS}
	@echo "Using standard attributes ..."
	java -Xmx512m -cp .:${PATHTOROOT}:./jai_imageio.jar -Djava.awt.headless=true com.pixelmed.dose.CTIrradiationEventDataFromImages \
		${PATHTOROOT}/testpaths/DoseImages/IOImages/cdsWithSeries999/CD0128080513/ImageData/36787863/19865114/CT.00002.00006
	@echo "Using private attributes ..."
	dccp -nodisclaimer -ignorereaderrors ${PATHTOROOT}/testpaths/DoseImages/IOImages/cdsWithSeries999/CD0128080513/ImageData/36787863/19865114/CT.00002.00006 /tmp/testCTIrradiationEventDataFromImages.dcm -d '(0x0009,0x1110)' -d SingleCollimationWidth -d TotalCollimationWidth -d SpiralPitchFactor
	java -Xmx512m -cp .:${PATHTOROOT}:./jai_imageio.jar -Djava.awt.headless=true com.pixelmed.dose.CTIrradiationEventDataFromImages /tmp/testCTIrradiationEventDataFromImages.dcm
	rm -f /tmp/testCTIrradiationEventDataFromImages.dcm
	@echo "Computing pitch factor ..."
	dccp -nodisclaimer -ignorereaderrors ${PATHTOROOT}/testpaths/DoseImages/IOImages/cdsWithSeries999/CD0128080513/ImageData/36787863/19865114/CT.00002.00006 /tmp/testCTIrradiationEventDataFromImages.dcm -d '(0x0009,0x1110)' -d SpiralPitchFactor -d '(0x0043,0x1027)'
	java -Xmx512m -cp .:${PATHTOROOT}:./jai_imageio.jar -Djava.awt.headless=true com.pixelmed.dose.CTIrradiationEventDataFromImages /tmp/testCTIrradiationEventDataFromImages.dcm
	rm -f /tmp/testCTIrradiationEventDataFromImages.dcm

=== pixelmed/web/Makefile ===
PATHTOROOT = ../../..

OBJS = \
	AppletDisplayRequestHandler.class \
	HttpServer.class \
	ImageDisplayRequestHandler.class \
	InstanceListRequestHandler.class \
	PathRequestHandler.class \
	PatientListRequestHandler.class \
	RequestHandler.class \
	RequestTypeServer.class \
	SeriesListRequestHandler.class \
	StudyListRequestHandler.class \
	WadoRequest.class \
	WadoRequestHandler.class \
	WadoServer.class \
	WebRequest.class \
	WebServerApplicationProperties.class \
	favicon.ico

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

# https://en.wikipedia.org/wiki/Favicon
# Manually created favicon.png in AI from inverted logo

# http://www.winterdrache.de/freeware/png2ico/
# port install png2ico
# NB. unusual reverse order of arguments ... USAGE: png2ico icofile [--colors <num>] pngfile1 [pngfile2 ...]
# .ico is already added to .SUFFIXES in Makefile.common.mk
.png.ico:
	png2ico $@ $<

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../network.`date '+%Y%m%d'`.tar.gz

testwado:	WadoRequest.class WebRequest.class
	java -cp ${PATHTOROOT} com.pixelmed.web.WadoRequest

testhttp:	HttpServer.class 
	java -cp ${PATHTOROOT} com.pixelmed.web.HttpServer

testwadoserver:	${OBJS}
	java  -Xms128m -Xmx512m -cp ${PATHTOROOT}:${SERVERADDITIONALJARS} com.pixelmed.web.WadoServer

testrequestserver:	${OBJS}
	java  -Djava.awt.headless=true -Xms128m -Xmx512m -cp ${PATHTOROOT}:${SERVERADDITIONALJARS} com.pixelmed.web.RequestTypeServer /tmp/testwadodb /tmp/testwadoimages 4007 WADOTEST 7091 localhost APPLETDISPLAY 0 2

archiveaiviewer:
	jar cvf ${PATHTOADDITIONAL}/aiviewer.jar dicomviewer/*.class dicomviewer/Dicom.dic

=== debian/changelog ===
pixelmed (20220618+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/rules: Fixed typo in DEB_VERSION_UPSTREAM
  * New upstream version 20220618+dfsg
  * d/patches: Refresh patches
  * d/patches: Add support for opencsv in Debian archive
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 24 Jun 2022 11:54:30 +0200

pixelmed (20220313+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/rules: Add TIFFToDicom command line tool
  * New upstream version 20220313+dfsg
  * d/manpages: Rework the manpages

 -- Mathieu Malaterre <malat@debian.org>  Wed, 16 Mar 2022 15:38:06 +0100

=== debian/control ===
Source: pixelmed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: default-jdk,
                     javahelper,
                     junit4,
                     libcommons-codec-java,
                     libcommons-compress-java,
                     libcommons-net-java (>= 3),
                     libhsqldb-java,
                     libjaxb-api-java,
                     libjmdns-java,
                     libjsonp-java,
                     libpixelmed-codec-java,
                     libpixelmed-imageio-java,
                     libvecmath-java
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/pixelmed
Vcs-Git: https://salsa.debian.org/med-team/pixelmed.git
Homepage: http://www.pixelmed.com
Rules-Requires-Root: no

Package: libpixelmed-java
Architecture: all
Section: java
Depends: ${java:Depends}, ${misc:Depends}
Recommends: libpixelmed-imageio-java
Suggests: libpixelmed-java-doc
Conflicts: pixelmed-java
Replaces: pixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.

Package: libpixelmed-java-doc
Architecture: all
Section: doc
Depends: doc-base, ${misc:Depends}
Suggests: libpixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer - doc
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This is the documentation package for libpixelmed-java

Package: pixelmed-apps
Architecture: all
Section: utils
Depends: default-jre-headless (>= 2:1.7) | java7-runtime-headless,
         java-wrappers,
         libpixelmed-java (= ${binary:Version}),
         ${misc:Depends}
Conflicts: pixelmed-java
Replaces: pixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer - cli
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 Provide command line applications for using pixelmed

Package: pixelmed-webstart-apps
Architecture: all
Section: utils
Depends: libbcprov-java,
         libpixelmed-java (= ${binary:Version}),
         ${misc:Depends}
Description: DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 Provide JNLP applications as command line apps

Package: pixelmed-www
Architecture: all
Section: web
Depends: pixelmed-webstart-apps (= ${binary:Version}), ${misc:Depends}
Description: DICOM implementation containing Image Viewer and a ECG Viewer - web
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This is the web package. Depends on JNLP applications, provides HTML pages

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java

include /usr/share/dpkg/default.mk

%:
	dh $@ --with javahelper

override_dh_auto_build:
	$(MAKE) all
	$(MAKE) javadoc

# See #568897
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(MAKE) -C com/pixelmed/test alltests || true
endif

override_dh_auto_install:
	cp sample.com.pixelmed.display.DicomImageViewer.properties .com.pixelmed.display.DicomImageViewer.properties
	# executable-not-elf-or-script ./etc/pixelmed/.com.pixelmed.display.DicomImageViewer.properties
	chmod -x .com.pixelmed.display.DicomImageViewer.properties
	dh_auto_install

override_dh_clean:
	dh_clean com/pixelmed/test/tmp/TestCleanerReceiveAndClean/1.3.6.1.4.1.5962.99.1.4198289672.2040812585.1361407987975.4.0
	dh_clean com/pixelmed/validate/die/verwandlung/die_verwandlung*.class
	dh_clean BUILDDATE
	dh_clean manifest.txt
	dh_clean .com.pixelmed.display.DicomImageViewer.properties
	# doc package:
	rm -rf docs

VER_FULL = $(DEB_VERSION_UPSTREAM)

debian/%.1: debian/%.1.in
	help2man --no-discard-stderr --include=$< --output=$@ --version-string=$(VER_FULL) --no-info `basename $@ .1`

pixelmed_manpages: debian/DicomSRValidator.1 debian/ImageToDicom.1 debian/NIfTI1ToDicom.1 debian/NRRDToDicom.1 debian/PDFToDicomImage.1 debian/StructuredReport.1 debian/VerificationSOPClassSCU.1 debian/TIFFToDicom.1
	echo "all manpages done"

debian/%.desktop: webstart/%.jnlp debian/jnlp2desktop.xsl
	# create .desktop file:
	xsltproc --stringparam pixelmed_version $(DEB_VERSION_UPSTREAM) -o $@ debian/jnlp2desktop.xsl $<

debian/%: webstart/%.jnlp debian/jnlp2script.xsl debian/%.desktop
	# script wrapper:
	xsltproc --stringparam pixelmed_version $(DEB_VERSION_UPSTREAM) -o $@ debian/jnlp2script.xsl $<
	chmod +x $@

pixelmed_webapps: debian/DicomImageBlackout debian/MediaImporter debian/WatchFolderAndSend debian/DicomImageViewer debian/ConvertAmicasJPEG2000FilesetToDicom debian/DicomCleaner debian/DoseUtility
	echo "all shell script wrappers done"
